summaryrefslogtreecommitdiff
path: root/hooks/build-os/70-system-config
diff options
context:
space:
mode:
Diffstat (limited to 'hooks/build-os/70-system-config')
-rwxr-xr-xhooks/build-os/70-system-config10
1 files changed, 10 insertions, 0 deletions
diff --git a/hooks/build-os/70-system-config b/hooks/build-os/70-system-config
new file mode 100755
index 0000000..0fc5bde
--- /dev/null
+++ b/hooks/build-os/70-system-config
@@ -0,0 +1,10 @@
+#!/bin/bash -xe
+set -o pipefail
+
+# Set a root password
+echo "root:guest" | chroot "${root:?}" chpasswd
+
+# Make console quieter
+cat > "${root:?}"/etc/sysctl.d/printk.conf << EOF
+kernel.printk = 3 4 1 3
+EOF